# jQuery Perciformes (Sons of Suckerfish)

The entire Sucker Fish family under one roof!

## Demo 1 - sfHover

Mimics :hover

(SuckerFish Menus example taken from http://www.htmldog.com/articles/suckerfish/dropdowns/example/bones1.html)

### Usage:

      $('#nav li ul').perciformes.sfHover();

### Example

Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Suspendisse egestas ultricies pede. Phasellus suscipit blandit risus. Praesent nonummy. In erat. Duis nibh pede, accumsan eu, pulvinar et, volutpat vel, elit. Curabitur nec dui sed nunc congue tempus. Nulla ac dui ac libero fringilla nonummy. Maecenas ullamcorper sodales risus. Vivamus pretium dolor. Proin eu turpis. Phasellus ut mauris non nulla mattis luctus. Nunc porttitor dapibus sapien. In malesuada fermentum metus. Nulla egestas, tellus a vestibulum pharetra, nunc purus auctor lacus, ut semper purus ipsum eu velit. Praesent dui. Nulla accumsan turpis at erat.

Suckerfish Dropdowns by Patrick Griffiths and Dan Webb.

## Demo 2 - sfFocus

Mimics :focus

### Usage:

      jQuery.fn.perciformes.sfFocus()

### Example:

- Link 1
- Link 2
- Link 4

## Demo 3 - sfActive

Mimics :focus

### Usage:

      jQuery.fn.perciformes.sfActive()

### Example:

- Activate ME!
- And me!
- Don't forget me!

## Demo 4 - sfTarget

Mimics :target

### Usage:

      jQuery.fn.perciformes.sfTarget();

### Example:

#### An H4 with id='anchor'

#### Another H4 with id='another'

- Link to 'anchor'
- Link to 'another'

jQuery Perciformes (Sons of Suckerfish) by Matt Richards